#!/bin/sh

if [ -f /var/run/console.lock ]
then
  CONSOLEOWNER=`cat /var/run/console.lock`
elif [ -f /var/lock/console.lock ]
then
  CONSOLEOWNER=`cat /var/lock/console.lock`
else
  CONSOLEOWNER=
fi

if [ -n "$CONSOLEOWNER" ]
then
  export DISPLAY=":0"
  su - $CONSOLEOWNER -c "source /etc/profile; /usr/bin/mozilla" >/dev/null 2>&1 &
fi
